thev00d00    14/12/12 11:10:32

  Modified:             metadata.xml handbrake-9999.ebuild ChangeLog
  Added:                handbrake-0.10.0.ebuild
  Removed:              handbrake-0.9.9.ebuild
  Log:
  Bump to 0.10.0, without x265 support for now
  
  (Portage version: 2.2.15/cvs/Linux x86_64, RepoMan options: --force, unsigned 
Manifest commit)

Revision  Changes    Path
1.6                  media-video/handbrake/metadata.xml

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-video/handbrake/metadata.xml?rev=1.6&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-video/handbrake/metadata.xml?rev=1.6&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-video/handbrake/metadata.xml?r1=1.5&r2=1.6

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-video/handbrake/metadata.xml,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- metadata.xml        14 Nov 2014 01:48:20 -0000      1.5
+++ metadata.xml        12 Dec 2014 11:10:32 -0000      1.6
@@ -13,5 +13,6 @@
     <flag name="gstreamer">Support for the streaming media framework from 
<pkg>media-libs/gstreamer</pkg>.</flag>
     <flag name="gtk">Support for Gimp ToolKit + from <pkg>x11-libs/gtk+</pkg>, 
requirement for a GUI-based HandBrake.</flag>
     <flag name="fdk">Support for encoding AAC using 
<pkg>media-libs/fdk-aac</pkg>.</flag>
+    <flag name="libav-aac">Support for encoding AAC using 
<pkg>media-libs/libav</pkg>'s internal encoder.</flag>
   </use>
 </pkgmetadata>



1.22                 media-video/handbrake/handbrake-9999.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-video/handbrake/handbrake-9999.ebuild?rev=1.22&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-video/handbrake/handbrake-9999.ebuild?rev=1.22&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-video/handbrake/handbrake-9999.ebuild?r1=1.21&r2=1.22

Index: handbrake-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-video/handbrake/handbrake-9999.ebuild,v
retrieving revision 1.21
retrieving revision 1.22
diff -u -r1.21 -r1.22
--- handbrake-9999.ebuild       17 Sep 2014 00:29:29 -0000      1.21
+++ handbrake-9999.ebuild       12 Dec 2014 11:10:32 -0000      1.22
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/media-video/handbrake/handbrake-9999.ebuild,v 1.21 
2014/09/17 00:29:29 lu_zero Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/media-video/handbrake/handbrake-9999.ebuild,v 1.22 
2014/12/12 11:10:32 thev00d00 Exp $
 
 EAPI="5"
 
@@ -8,9 +8,6 @@
 
 inherit autotools eutils gnome2-utils python-any-r1
 
-# TODO: Are KEYWORDS like these stabilization script friendly?
-#       We can opt to move the KEYWORDS from the else before the if;
-#       that way, it is listed first and the 9999 version will set it to "".
 if [[ ${PV} = *9999* ]]; then
        ESVN_REPO_URI="svn://svn.handbrake.fr/HandBrake/trunk"
        inherit subversion
@@ -26,30 +23,24 @@
 LICENSE="GPL-2"
 
 SLOT="0"
-IUSE="fdk ffmpeg gstreamer gtk"
+IUSE="+fdk gstreamer gtk libav-aac"
 
-# Use either ffmpeg or gst-plugins/mpeg2dec for decoding MPEG-2.
-REQUIRED_USE="!ffmpeg? ( gstreamer )"
+REQUIRED_USE="^^ ( fdk libav-aac )"
 
-# TODO: As we improve src_configure with more flags we can make more optional 
here.
-#       Besides that, we should list slots for all the dependencies as well as
-#       support sub slot rebuilds where they are still missing; lets avoid 
running
-#       into more problems while we can.
 RDEPEND="
+       dev-libs/jansson
        media-libs/a52dec
-       media-libs/faac
        media-libs/libass
        media-libs/libbluray
        media-libs/libdvdnav
        media-libs/libdvdread
-       media-libs/libmp4v2:0
-       media-libs/libmkv
        media-libs/libsamplerate
        media-libs/libtheora
        media-libs/libvorbis
+       media-libs/libvpx
        media-libs/x264:=
        media-sound/lame
-       ffmpeg? ( || ( >=media-video/libav-11 >=media-video/ffmpeg-2.3:0 ) )
+       || ( >=media-video/libav-10.1 >=media-video/ffmpeg-2.3:0 )
        sys-libs/zlib
        gstreamer? (
                media-libs/gstreamer:1.0
@@ -60,7 +51,6 @@
                media-plugins/gst-plugins-a52dec:1.0
                media-plugins/gst-plugins-libav:1.0
                media-plugins/gst-plugins-x264:1.0
-               !ffmpeg? ( media-plugins/gst-plugins-mpeg2dec:1.0 )
        )
        gtk? (
                >=x11-libs/gtk+-3.10
@@ -74,6 +64,7 @@
        )
        fdk? ( media-libs/fdk-aac )
        "
+       #x265? ( =media-libs/x265-1.4 )
 
 DEPEND="${RDEPEND}
        ${PYTHON_DEPS}
@@ -87,9 +78,6 @@
 
 src_prepare() {
        # Get rid of leftover bundled library build definitions,
-       # the version 0.9.9 supports the use of system libraries.
-       # TODO: Is this still needed, does this sed still do something?
-       #       If it does; we should convert this into a patch, such that we 
know it fails.
        sed -i 's:.*\(/contrib\|contrib/\).*::g' \
                "${S}"/make/include/main.defs \
                || die "Contrib removal failed."
@@ -101,39 +89,27 @@
        # Remove faac dependency; TODO: figure out if we need to do this at all.
        epatch "${FILESDIR}"/${PN}-9999-remove-faac-dependency.patch
 
-       # Fixup configure.ac with newer automake.
-       # TODO: Would like to see this shorten towards the future;
-       #       see which are still needed, put those in a patch instead of 6 
lines here.
        cd "${S}/gtk"
-       sed -i \
-               -e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:g' \
-               -e 's:AM_PROG_CC_STDC:AC_PROG_CC:g' \
-               -e 's:am_cv_prog_cc_stdc:ac_cv_prog_cc_stdc:g' \
-               configure.ac || die "Fixing up configure.ac failed"
-
        # Don't run autogen.sh.
-       # TODO: Document why we're not running this.
        sed -i '/autogen.sh/d' module.rules || die "Removing autogen.sh call 
failed"
        eautoreconf
 }
 
 src_configure() {
-       # TODO: Try to make parameters avformat, libav-aac, libmkv, mp4v2 
optional
-       #       as for making faac optional, see the above TODO first.
-       #
-       #       Just to be sure, check the ./configure --help before each 
release;
-       #       they are still in the progress of unbundling / making things 
optional.
-       #
-       #       Check if the Python-ish implementation supports econf style.
        ./configure \
                --force \
+               --verbose \
                --prefix="${EPREFIX}/usr" \
+               --enable-local-autotools \
+               --enable-local-cmake \
+               --enable-local-yasm \
                --disable-gtk-update-checks \
-               --disable-libav-aac \
-               --disable-x265 \
+               $(use_enable libav-aac) \
                $(use_enable fdk fdk-aac) \
                $(use_enable gtk) \
-               $(usex !gstreamer --disable-gst) || die "Configure failed."
+               $(usex !gstreamer --disable-gst) \
+               --disable-x265 || die "Configure failed."
+       #       $(use_enable x265) \
 }
 
 src_compile() {



1.26                 media-video/handbrake/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-video/handbrake/ChangeLog?rev=1.26&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-video/handbrake/ChangeLog?rev=1.26&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-video/handbrake/ChangeLog?r1=1.25&r2=1.26

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-video/handbrake/ChangeLog,v
retrieving revision 1.25
retrieving revision 1.26
diff -u -r1.25 -r1.26
--- ChangeLog   14 Nov 2014 01:48:20 -0000      1.25
+++ ChangeLog   12 Dec 2014 11:10:32 -0000      1.26
@@ -1,6 +1,12 @@
 # ChangeLog for media-video/handbrake
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-video/handbrake/ChangeLog,v 1.25 
2014/11/14 01:48:20 tomwij Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-video/handbrake/ChangeLog,v 1.26 
2014/12/12 11:10:32 thev00d00 Exp $
+
+*handbrake-0.10.0 (12 Dec 2014)
+
+  12 Dec 2014; Ian Whyman <thev00...@gentoo.org> +handbrake-0.10.0.ebuild,
+  -handbrake-0.9.9.ebuild, handbrake-9999.ebuild, metadata.xml:
+  Bump to 0.10.0, without x265 support for now
 
   14 Nov 2014; Tom Wijsman <tom...@gentoo.org> metadata.xml:
   Remove myself.



1.1                  media-video/handbrake/handbrake-0.10.0.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-video/handbrake/handbrake-0.10.0.ebuild?rev=1.1&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-video/handbrake/handbrake-0.10.0.ebuild?rev=1.1&content-type=text/plain

Index: handbrake-0.10.0.ebuild
===================================================================
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: 
/var/cvsroot/gentoo-x86/media-video/handbrake/handbrake-0.10.0.ebuild,v 1.1 
2014/12/12 11:10:32 thev00d00 Exp $

EAPI="5"

PYTHON_COMPAT=( python2_{6,7} )

inherit autotools eutils gnome2-utils python-any-r1

if [[ ${PV} = *9999* ]]; then
        ESVN_REPO_URI="svn://svn.handbrake.fr/HandBrake/trunk"
        inherit subversion
        KEYWORDS=""
else
        SRC_URI="http://handbrake.fr/rotation.php?file=HandBrake-${PV}.tar.bz2 
-> ${P}.tar.bz2"
        S="${WORKDIR}/HandBrake-${PV}"
        KEYWORDS="~amd64 ~x86"
fi

DESCRIPTION="Open-source, GPL-licensed, multiplatform, multithreaded video 
transcoder"
HOMEPAGE="http://handbrake.fr/";
LICENSE="GPL-2"

SLOT="0"
IUSE="+fdk gstreamer gtk libav-aac"

REQUIRED_USE="^^ ( fdk libav-aac )"

RDEPEND="
        dev-libs/jansson
        media-libs/a52dec
        media-libs/libass
        media-libs/libbluray
        media-libs/libdvdnav
        media-libs/libdvdread
        media-libs/libsamplerate
        media-libs/libtheora
        media-libs/libvorbis
        media-libs/libvpx
        media-libs/x264:=
        media-sound/lame
        || ( >=media-video/libav-10.1 >=media-video/ffmpeg-2.3:0 )
        sys-libs/zlib
        gstreamer? (
                media-libs/gstreamer:1.0
                media-libs/gst-plugins-base:1.0
                media-libs/gst-plugins-good:1.0
                media-libs/gst-plugins-bad:1.0
                media-libs/gst-plugins-ugly:1.0
                media-plugins/gst-plugins-a52dec:1.0
                media-plugins/gst-plugins-libav:1.0
                media-plugins/gst-plugins-x264:1.0
        )
        gtk? (
                >=x11-libs/gtk+-3.10
                dev-libs/dbus-glib
                dev-libs/glib:2
                x11-libs/cairo
                x11-libs/gdk-pixbuf:2
                x11-libs/libnotify
                x11-libs/pango
                virtual/libgudev:=
        )
        fdk? ( media-libs/fdk-aac )
        "
        #x265? ( =media-libs/x265-1.4 )

DEPEND="${RDEPEND}
        ${PYTHON_DEPS}
        dev-lang/yasm
        dev-util/intltool
        sys-devel/automake"

pkg_setup() {
        python-any-r1_pkg_setup
}

src_prepare() {
        # Get rid of leftover bundled library build definitions,
        sed -i 's:.*\(/contrib\|contrib/\).*::g' \
                "${S}"/make/include/main.defs \
                || die "Contrib removal failed."

        # Remove libdvdnav duplication and call it on the original instead.
        # It may work this way; if not, we should try to mimic the duplication.
        epatch "${FILESDIR}"/${PN}-9999-remove-dvdnav-dup.patch

        # Remove faac dependency; TODO: figure out if we need to do this at all.
        epatch "${FILESDIR}"/${PN}-9999-remove-faac-dependency.patch

        cd "${S}/gtk"
        # Don't run autogen.sh.
        sed -i '/autogen.sh/d' module.rules || die "Removing autogen.sh call 
failed"
        eautoreconf
}

src_configure() {
        ./configure \
                --force \
                --verbose \
                --prefix="${EPREFIX}/usr" \
                --enable-local-autotools \
                --enable-local-cmake \
                --enable-local-yasm \
                --disable-gtk-update-checks \
                $(use_enable libav-aac) \
                $(use_enable fdk fdk-aac) \
                $(use_enable gtk) \
                $(usex !gstreamer --disable-gst) \
                --disable-x265 || die "Configure failed."
        #       $(use_enable x265) \
}

src_compile() {
        emake -C build

        # TODO: Documentation building is currently broken, try to fix it.
        #
        # if use doc ; then
        #       emake -C build doc
        # fi
}

src_install() {
        emake -C build DESTDIR="${D}" install

        dodoc AUTHORS CREDITS NEWS THANKS TRANSLATIONS
}

pkg_postinst() {
        einfo "For the CLI version of HandBrake, you can use \`HandBrakeCLI\`."

        if use gtk ; then
                einfo ""
                einfo "For the GTK+ version of HandBrake, you can run \`ghb\`."
        fi
}

pkg_preinst() {
        gnome2_icon_savelist
}

pkg_postinst() {
        gnome2_icon_cache_update
}

pkg_postrm() {
        gnome2_icon_cache_update
}




Reply via email to